- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_uri_t

# mongoc_uri_option_is_int32()

## Synopsis

    bool
    mongoc_uri_option_is_int32 (const char *option);

## Parameters

- `option`: The name of an option, case insensitive.

## Description

Returns true if the option is a known MongoDB URI option of integer type. For example, “socketTimeoutMS=100” is a valid MongoDB URI option, so `mongoc_uri_option_is_int32 ("connectTimeoutMS")` is true.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.